# Get Category Metadata

The metadata is a JSON Schema document that describes:
- The implicit and custom properties exposed by the Category resource.
- The embedded resources (
`Products`
,
`Variants`
) and their relationships.

The schema should be consulted to build requests against the other Category endpoints
(which fields can be used in `$select`, `$filter`, `$orderby`, request bodies, etc.).
## Authentication
Requires a valid API key in the `X-API-KEY` header.
## Response
**200 OK** — Returns the JSON Schema as a `ServiceDocumentRepresentation`.
## Error Responses
- **401 Unauthorized**
 — Missing or invalid API key. Returned by the API gateway as

`{ "message": "Unauthorized", "request_id": "d8aafa5b8f3e400b60bea0123dd33317" }`
.
- **500 Internal Server Error**
 — Unexpected technical error.

## Example
**Request:**

```http
GET /Categories/$metadata HTTP/1.1
X-API-KEY: your-api-key-here
```
**Response:**

```http
HTTP/1.1 200 OK
Content-Type: application/json
```

Endpoint: GET /Categories/$metadata
Version: 2.0.0

## Description:

  - `Authentication` ()
    Requires a valid API key in the `X-API-KEY` header.

  - `Response` ()
    **200 OK** — Returns the JSON Schema as a `ServiceDocumentRepresentation`.

  - `Error Responses` ()
    - **401 Unauthorized**
 — Missing or invalid API key. Returned by the API gateway as

`{ "message": "Unauthorized", "request_id": "d8aafa5b8f3e400b60bea0123dd33317" }`
.
- **500 Internal Server Error**
 — Unexpected technical error.

  - `Example` ()
    **Request:** ```http
GET /Categories/$metadata HTTP/1.1
X-API-KEY: your-api-key-here
``` **Response:** ```http
HTTP/1.1 200 OK
Content-Type: application/json
```

## Header parameters:

  - `X-API-KEY` (string)
    Tenant's API key (required)

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `readLink` (object)

  - `readLink.uri` (string)

  - `value` (any)

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `validationFailures` (object)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `message` (string)

  - `request_id` (string)

## Response 500:

  - `500` (unknown)
    Internal Server Error

## Response 500 fields (application/json):

  - `error` (string)

  - `details` (any)

